Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class FastArray

    java.lang.Object
      org.codehaus.groovy.util.FastArray

All Implemented Interfaces:
  java.lang.Cloneable

    public class FastArray
    extends java.lang.Object

Field Summary
`static FastArray` | `EMPTY_LIST`
`int` | `size`

Constructor Summary
`FastArray(int initialCapacity)`
`FastArray()`
`FastArray(java.util.Collection c)`
`FastArray(java.lang.Object[] objects)`

Method Summary
`void` | `add(java.lang.Object o)`
`void` | `addAll(FastArray newData)`
`void` | `addAll(java.lang.Object[] newData, int size)`
`void` | `addAll(java.util.List coll)`
`void` | `clear()`
`FastArray` | `copy()`
`java.lang.Object` | `get(int index)`
`java.lang.Object[]` | `getArray()`
`boolean` | `isEmpty()`
`void` | `remove(int index)`
`void` | `set(int index, java.lang.Object o)`
`int` | `size()`
`java.util.List` | `toList()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### EMPTY_LIST

    public static final FastArray EMPTY_LIST

### size

    public int size

Constructor Detail

### FastArray

    public FastArray(int initialCapacity)

### FastArray

    public FastArray()

### FastArray

    public FastArray(java.util.Collection c)

### FastArray

    public FastArray(java.lang.Object[] objects)

Method Detail

### add

    public void add(java.lang.Object o)

### addAll

    public void addAll(FastArray newData)

### addAll

    public void addAll(java.lang.Object[] newData, int size)

### addAll

    public void addAll(java.util.List coll)

### clear

    public void clear()

### copy

    public FastArray copy()

### get

    public java.lang.Object get(int index)

### getArray

    public java.lang.Object[] getArray()

### isEmpty

    public boolean isEmpty()

### remove

    public void remove(int index)

### set

    public void set(int index, java.lang.Object o)

### size

    public int size()

### toList

    public java.util.List toList()

### toString

    public java.lang.String toString()

Groovy Documentation